Bug 167414 - CAN-2005-2794 Multiple squid DoS issues (CAN-2005-2796)
CAN-2005-2794 Multiple squid DoS issues (CAN-2005-2796)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
impact=important,reported=20050902,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 10:15 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 03:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-02 10:15:34 EDT
+++ This bug was initially created as a clone of Bug #167413 +++

Squid has recently fixed three DoS issues.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE10-STORE_PENDING
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE10-statHistAssert
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE10-sslConnectTimeout

-- Additional comment from bressers@redhat.com on 2005-09-02 10:13 EST --
These issues should also affect RHEL2.1 and RHEL3
Comment 1 Josh Bressers 2005-09-02 10:16:34 EDT
This issue should also affect FC3
Comment 2 Fedora Update System 2005-09-06 12:08:02 EDT
From User-Agent: XML-RPC

squid-2.5.STABLE9-8 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.